wxWidgets: wxTextAttrSize Class Reference

| Version: 3.1.5

Public Member Functions | Public Attributes | List of all members
wxTextAttrSize Class Reference
Class List by Category » Rich Text

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/richtext/richtextbuffer.h>`

## Detailed Description

A class for representing width and height.

##

Library: wxRichText

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxRichTextAttr, wxRichTextCtrl, wxTextAttrDimension

## Public Member Functions
| wxTextAttrSize ()
| Default constructor. More...
void | Reset ()
| Resets the width and height dimensions. More...
bool | operator== (const wxTextAttrSize &size) const
| Equality operator. More...
bool | EqPartial (const wxTextAttrSize &size, bool weakTest=true) const
| Partial equality test. More...
bool | Apply (const wxTextAttrSize &dims, const wxTextAttrSize *compareWith=NULL)
| Apply to this object, but not if the same as compareWith. More...
void | CollectCommonAttributes (const wxTextAttrSize &attr, wxTextAttrSize &clashingAttr, wxTextAttrSize &absentAttr)
| Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects. More...
bool | RemoveStyle (const wxTextAttrSize &attr)
| Removes the specified attributes from this object. More...
wxTextAttrDimension & | GetWidth ()
| Returns the width. More...
const wxTextAttrDimension & | GetWidth () const
void | SetWidth (int value, wxTextAttrDimensionFlags flags)
| Sets the width. More...
void | SetWidth (int value, wxTextAttrUnits units)
| Sets the width. More...
void | SetWidth (const wxTextAttrDimension &dim)
| Sets the width. More...
wxTextAttrDimension & | GetHeight ()
| Gets the height. More...
const wxTextAttrDimension & | GetHeight () const
void | SetHeight (int value, wxTextAttrDimensionFlags flags)
| Sets the height. More...
void | SetHeight (int value, wxTextAttrUnits units)
| Sets the height. More...
void | SetHeight (const wxTextAttrDimension &dim)
| Sets the height. More...
bool | IsValid () const
| Is the size valid? More...

## Public Attributes
wxTextAttrDimension | m_width
wxTextAttrDimension | m_height

## Constructor & Destructor Documentation

## ◆ wxTextAttrSize()

wxTextAttrSize::wxTextAttrSize | ( |  | ) |
| inline

Default constructor.

## Member Function Documentation

## ◆ Apply()

bool wxTextAttrSize::Apply | ( | const wxTextAttrSize & | dims,
|  | const wxTextAttrSize * | compareWith = `NULL`
| ) |  |

Apply to this object, but not if the same as compareWith.

## ◆ CollectCommonAttributes()

void wxTextAttrSize::CollectCommonAttributes | ( | const wxTextAttrSize & | attr,
|  | wxTextAttrSize & | clashingAttr,
|  | wxTextAttrSize & | absentAttr
| ) |  |

Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.

## ◆ EqPartial()

bool wxTextAttrSize::EqPartial | ( | const wxTextAttrSize & | size,
|  | bool | weakTest = `true`
| ) |  | const

Partial equality test.

If weakTest is true, attributes of this object do not have to be present if those attributes of size are present. If weakTest is false, the function will fail if an attribute is present in size but not in this object.

## ◆ GetHeight() [1/2]

wxTextAttrDimension & wxTextAttrSize::GetHeight | ( |  | ) |
| inline

Gets the height.

## ◆ GetHeight() [2/2]

const wxTextAttrDimension & wxTextAttrSize::GetHeight | ( |  | ) | const
| inline

## ◆ GetWidth() [1/2]

wxTextAttrDimension & wxTextAttrSize::GetWidth | ( |  | ) |
| inline

Returns the width.

## ◆ GetWidth() [2/2]

const wxTextAttrDimension & wxTextAttrSize::GetWidth | ( |  | ) | const
| inline

## ◆ IsValid()

bool wxTextAttrSize::IsValid | ( |  | ) | const
| inline

Is the size valid?

## ◆ operator==()

bool wxTextAttrSize::operator== | ( | const wxTextAttrSize & | size | ) | const
| inline

Equality operator.

## ◆ RemoveStyle()

bool wxTextAttrSize::RemoveStyle | ( | const wxTextAttrSize & | attr | ) |

Removes the specified attributes from this object.

## ◆ Reset()

void wxTextAttrSize::Reset | ( |  | ) |
| inline

Resets the width and height dimensions.

## ◆ SetHeight() [1/3]

void wxTextAttrSize::SetHeight | ( | const wxTextAttrDimension & | dim | ) |
| inline

Sets the height.

## ◆ SetHeight() [2/3]

void wxTextAttrSize::SetHeight | ( | int | value,
|  | wxTextAttrDimensionFlags | flags
| ) |  |
| inline

Sets the height.

## ◆ SetHeight() [3/3]

void wxTextAttrSize::SetHeight | ( | int | value,
|  | wxTextAttrUnits | units
| ) |  |
| inline

Sets the height.

## ◆ SetWidth() [1/3]

void wxTextAttrSize::SetWidth | ( | const wxTextAttrDimension & | dim | ) |
| inline

Sets the width.

## ◆ SetWidth() [2/3]

void wxTextAttrSize::SetWidth | ( | int | value,
|  | wxTextAttrDimensionFlags | flags
| ) |  |
| inline

Sets the width.

## ◆ SetWidth() [3/3]

void wxTextAttrSize::SetWidth | ( | int | value,
|  | wxTextAttrUnits | units
| ) |  |
| inline

Sets the width.

## Member Data Documentation

## ◆ m_height

wxTextAttrDimension wxTextAttrSize::m_height

## ◆ m_width

wxTextAttrDimension wxTextAttrSize::m_width